Skip to main content
GET
/
api
/
v1
/
vicky
/
calls
Listar llamadas del workspace
curl --request GET \
  --url https://apis.wekall.co/api/v1/vicky/calls \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "6a0382ce16365b2f80be4bba",
      "status": "done",
      "call_duration_secs": 28,
      "termination_reason": "client_ended_call",
      "termination_reason_label": "Cliente finalizo llamada",
      "agent_name": "Agente Cobranza IA",
      "caller_id": "+573009137725",
      "called_number": "+573001234567",
      "direction": "outbound",
      "createdAt": "2026-05-12T19:43:10.502Z",
      "campaign_name": "Campana Diciembre",
      "call_file_url": "https://...wav"
    }
  ],
  "total": 635,
  "page": 1,
  "totalPages": 64
}

Documentation Index

Fetch the complete documentation index at: https://docs.wekall.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Token obtenido desde POST /api/v1/auth/token

Query Parameters

cursor
string

Cursor para paginacion (ID del ultimo registro)

limit
number
default:10

Resultados por pagina (max 100)

Example:

10

direction
enum<string>
default:next

Direccion de paginacion

Available options:
next,
prev
agent_name
string

Filtrar por nombre de agente

Response

200 - application/json

Lista de llamadas

data
object[]
required

Lista de llamadas

total
number
required

Total de llamadas

Example:

635

page
number
required

Pagina actual

Example:

1

totalPages
number
required

Total de paginas

Example:

64